[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="Domaine pour compl\u00e9ter les adresses :";
	.localdomain.help="Liste de domaines g\u00e9r\u00e9s exclusivement par ce serveur";
	.localdomain.header="Domaine local";
	.hostoncmd.text="Rechercher le nom des ordinateurs clients";
	.plaintext.text="Autoriser la connexion avec mot de passe";
	.mincipher.text="Longueur de cryptage minimale pour le codage du mot de passe";
	.unix.border=[titled,"Remise UNIX"];
	.unix.help="Pour les utilisateurs dont l'option \"Remise UNIX\" est activ\u00e9e, le programme indiqu\u00e9 ci-dessous servira \u00e0 enregistrer les messages dans le fichier de la messagerie locale de l'utilisateur.";
	.program.border=[titled,"Remise au programme"];
	.program.help="Pour des raisons de s\u00e9curit\u00e9, les programmes ne doivent jamais \u00eatre ex\u00e9cut\u00e9s en tant que \"root.\" Pour activer la remise \u00e0 un programme pour le compte racine, vous devez indiquer un ID s\u00fbr pour la racine.";
	.unixdeliver.text="Programme de remise des messages en local :";
	.defuid.text="ID utilisateur s\u00fbr pour l'ex\u00e9cution des programmes :";
	.defgid.text="ID de groupe s\u00fbr pour l'ex\u00e9cution des programmes :";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.unix.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.unix.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.unixdeliver.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    val=$service.smtp.unix-deliver.maildeliveryprogram.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.program.border;
	    constraint={
		gridx=0;
		gridy=5;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.program.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defuidlabel;
		    text=$.defuid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defuidlabel;
		    val=$service.smtp.prog-deliver.defaultuid.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defgidlabel;
		    text=$.defgid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defgidlabel;
		    val=$service.smtp.prog-deliver.defaultgid.value;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="Domaine g\u00e9r\u00e9 exclusivement par ce serveur :";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	    validate=com.netscape.management.msgserv.util.ValidDomain;
	}
    ]
}
]
